# Updating an existing generator preset

To update the configuration of an existing generator preset, use:

[<mark style="background-color:orange;">PUT</mark> api/Presets/{preset identifier}](https://app.tonic.ai/apidocs/index.html#/Presets/UpdatePreset)

In the request, you provide a preset object with the updated generator preset configuration.

For a successful request, the response contains the updated details for the generator preset.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/api-generator-presets/api-generator-presets-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
